#include <cstdio>
#include <cfloat>

int
main() {
	double a = 1;
	double b = 1+DBL_EPSILON;
	printf("%.*2$f %.*2$f\n", a, b, DBL_DIG);
	a += DBL_EPSILON;
	printf("%.*2$f\n", a, DBL_DIG);
	return 0;
}
